

!String publicMethods !

asFloat
	"Answer a float which corresponds to the receiver"
	| str num sign c n exp wexp esign |

	num := n := exp := wexp := esign := 0.

	str := self trimBlanks, '#'.
	(str at: (n+ 1)) = $-
		ifTrue: [ n := 1. sign := -1]
		ifFalse: [ sign := 1 ].
	[ (c := str at: (n := n + 1)) isDigit ]
		whileTrue: [num := num := num*10 + c value - $0 value ].
	c = $. ifTrue: [
		[ (c := str at: ( n := n + 1)) isDigit ]
			whileTrue: [
				exp := exp - 1.
				num := num*10 + c digitValue] ].
	(c = $e)
		ifTrue: [
			(str at: n + 1) = $-
				ifTrue: [n := n + 1. esign := -1 ]
				ifFalse: [esign := 1].
			[ (c := str at: (n := n + 1)) isDigit ]
					whileTrue: [ wexp := wexp*10 + c digitValue] ].

	n ~= str size ifTrue: [ self error: 'Invalid number: ', str   ].
	^(sign * num * (10 raisedToInteger: exp + (esign*wexp)) asFloat).
! !

String categoriesFor: #asFloat are:((Array basicNew: 1)
	at: 1 put: 'Not categorized';
	yourself)!