/*+========================================================================+*/
/*| [FBN ARS     ], Copyright [1999] [FBN Software]  All Rights Reserved.  |*/
/*|------------------------------------------------------------------------|*/
/*| NOTE: This software contains valuable trade secrets and proprietary    |*/
/*| information of [FBN Software] and is protected by law. It may not be   |*/
/*| copied or distributed in any form or medium, disclosed to third        |*/
/*| parties, reverse engineered or used in any manner without prior        |*/
/*| written authorization from [FBN Software].                             |*/
/*|------------------------------------------------------------------------|*/
/*| FILE: Airline.java                                                     |*/
/*|------------------------------------------------------------------------|*/
/*| MODULE:                                                                |*/
/*|------------------------------------------------------------------------|*/
/*| Who | Date       | Description                                         |*/
/*|------------------------------------------------------------------------|*/
/*|  P+ | Nov 29, 99 | Last Code Generation                                |*/
/*+========================================================================+*/
import java.util.*;

public class Airline
{

    private  String name_;
    public String name() { return name_; }
    public void name(String aString) { name_ = aString; }

    private  Hashtable planes_;
    public Hashtable planes() { return planes_; }
    public void planes(Hashtable aHashtable) { planes_ = aHashtable; }



    Airline () {
        this.initialize();
    }

    Airline(String name) {
        this();
        this.name(name);
    }

    private void initialize() {
        this.name("");
        this.planes(new Hashtable());
        this.loadPlanes();
    }

    public void addPlane(Plane aPlane) {
        this.planes().put(aPlane.name(), aPlane);
    }

    public Plane planeWithName(String thePlaneName) {
        return (Plane) this.planes().get(thePlaneName);
    }

    public void loadPlanes() {

        Plane aPlane = null;
        Seat  aSeat  = null;

        aPlane = new Plane("Medusa", "Boing 666");

            aSeat = new Seat("1A");
            aSeat.addAttribute("1st class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("1B");
            aSeat.addAttribute("1st class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("2A");
            aSeat.addAttribute("1st class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("3A");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("3B");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");

            aSeat = new Seat("3C");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("4A");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("4B");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");

            aSeat = new Seat("4C");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("6A");
            aSeat.addAttribute("crew class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("6B");
            aSeat.addAttribute("crew class");
            aSeat.addAttribute("aisle");

            aSeat = new Seat("7A");
            aSeat.addAttribute("crew class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

        this.addPlane(aPlane);

        aPlane = new Plane("Cyclops", "Boing 666");

            aSeat = new Seat("1A");
            aSeat.addAttribute("1st class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("1B");
            aSeat.addAttribute("1st class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("2A");
            aSeat.addAttribute("1st class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("3A");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("3B");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");

            aSeat = new Seat("3C");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("4A");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("4B");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");

            aSeat = new Seat("4C");
            aSeat.addAttribute("coach class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("6A");
            aSeat.addAttribute("crew class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

            aSeat = new Seat("6B");
            aSeat.addAttribute("crew class");
            aSeat.addAttribute("aisle");

            aSeat = new Seat("7A");
            aSeat.addAttribute("crew class");
            aSeat.addAttribute("aisle");
            aSeat.addAttribute("window");

        this.addPlane(aPlane);

    }

}

