import java.util.*;
import java.lang.*;

class Animal implements Comparable {

    private String name_;
    public String name() { return name_; }
    public void name(String aName) {name_ = aName; }

    private int footCount_;
    public int footCount() { return footCount_; }
    public void footCount(int theFootCount) { footCount_ = theFootCount; }

    Animal() {
        this.initialize();
    }

    Animal(String aName, int feet) {
        this();
        this.name(aName);
        this.footCount(feet);
    }

    private void initialize() {
        this.name("John Doe");
        this.footCount(0);
    }

    // implement the Comparable interface

    public int compare(Comparable c) {
       return (this.name().compareTo ( ((Animal) c).name() ));

    }

}
