import java.util.*;

class TransactionLog {

    private Vector transactions_;
    private Vector transactions() { return transactions_; }
    private void transactions(Vector aVector) { transactions_ = aVector; }

    TransactionLog(){
        this.initialize();
    }
    private void initialize(){
        this.transactions(new Vector());
    }

    public void processLog(){

        System.out.println("The daily records follow.");

        this.sortTransactions();

        double totalCashFlow = 0.0;

        Enumeration theTransactions = this.transactions().elements();
        while( theTransactions.hasMoreElements() ){
            Transaction aTransaction = (Transaction) theTransactions.nextElement();
            totalCashFlow = totalCashFlow + aTransaction.amount();
            System.out.println(aTransaction.toString());
        }
        System.out.println("");
        System.out.println("Today's total cash flow was " + totalCashFlow);


    }

    public void addTransaction(Transaction aTransaction){
        this.transactions().addElement(aTransaction);
    }

    private void sortTransactions(){
        Vector a = this.transactions();
        int n = a.size();
        int incr = n/2;
        while (incr >= 1){
            for (int i=incr; i<n; i++){
                Transaction aTransaction = (Transaction) a.elementAt(i);
                int j = i;
                while (j >= incr && aTransaction.compare(  (Transaction)
                                            a.elementAt(j-incr) )   < 0){

                    a.setElementAt( (Transaction) a.elementAt(j-incr) ,j);
                    j -= incr;
                }
            a.setElementAt(aTransaction,j);
            }
        incr /= 2;
        }
        this.transactions( a );
    }



}