import java.lang.*;
import java.util.*;

class LiteTester implements Runnable {

	private TLCAdapter tlcAdapter_;
	public TLCAdapter tlcAdapter() { return tlcAdapter_; }
	public void tlcAdapter( TLCAdapter aTLCA ) { tlcAdapter_ = aTLCA; }

    private boolean busy_;
    public boolean busy() { return busy_ ; }
    public void busy(boolean aBoolean) { busy_ = aBoolean ; }

    private boolean done_;
    public boolean done() { return done_ ; }
    public void done(boolean aBoolean) { done_ = aBoolean ; }

    private Thread thread_;
    public Thread thread() { return thread_ ; }
    public void thread(Thread aThread) { thread_ = aThread ; }


    public LiteTester(TLCAdapter aTLCA) {
        this.tlcAdapter(aTLCA);
        this.busy(false);
        this.done(false);
        this.thread(new Thread(this));
        this.thread().start();
    }

    public void run() {


        while (!this.done()) {
            this.sequentialTest();
        }
        this.busy(false);
    }

    public void sequentialTest() {

        TLCAdapter theTLCA = this.tlcAdapter();

        theTLCA.nPedLite("walk");
        this.pauseALittle();
        theTLCA.nPedLite("dontwalk");
        this.pauseALittle();
        theTLCA.nPedLite("dark");

        theTLCA.sPedLite("walk");
        this.pauseALittle();
        theTLCA.sPedLite("dontwalk");
        this.pauseALittle();
        theTLCA.sPedLite("dark");

        theTLCA.ePedLite("walk");
        this.pauseALittle();
        theTLCA.ePedLite("dontwalk");
        this.pauseALittle();
        theTLCA.ePedLite("dark");

        theTLCA.wPedLite("walk");
        this.pauseALittle();
        theTLCA.wPedLite("dontwalk");
        this.pauseALittle();
        theTLCA.wPedLite("dark");

        theTLCA.northThruLite("green");
        this.pauseALittle();
        theTLCA.northThruLite("yellow");
        this.pauseALittle();
        theTLCA.northThruLite("red");
        this.pauseALittle();
        theTLCA.northThruLite("dark");
        this.pauseALittle();

        theTLCA.northLeftLite("green");
        this.pauseALittle();
        theTLCA.northLeftLite("yellow");
        this.pauseALittle();
        theTLCA.northLeftLite("red");
        this.pauseALittle();
        theTLCA.northLeftLite("dark");
        this.pauseALittle();

        theTLCA.southThruLite("green");
        this.pauseALittle();
        theTLCA.southThruLite("yellow");
        this.pauseALittle();
        theTLCA.southThruLite("red");
        this.pauseALittle();
        theTLCA.southThruLite("dark");
        this.pauseALittle();

        theTLCA.southLeftLite("green");
        this.pauseALittle();
        theTLCA.southLeftLite("yellow");
        this.pauseALittle();
        theTLCA.southLeftLite("red");
        this.pauseALittle();
        theTLCA.southLeftLite("dark");
        this.pauseALittle();

        theTLCA.eastThruLite("green");
        this.pauseALittle();
        theTLCA.eastThruLite("yellow");
        this.pauseALittle();
        theTLCA.eastThruLite("red");
        this.pauseALittle();
        theTLCA.eastThruLite("dark");
        this.pauseALittle();


        theTLCA.eastLeftLite("green");
        this.pauseALittle();
        theTLCA.eastLeftLite("yellow");
        this.pauseALittle();
        theTLCA.eastLeftLite("red");
        this.pauseALittle();
        theTLCA.eastLeftLite("dark");
        this.pauseALittle();


        theTLCA.westThruLite("green");
        this.pauseALittle();
        theTLCA.westThruLite("yellow");
        this.pauseALittle();
        theTLCA.westThruLite("red");
        this.pauseALittle();
        theTLCA.westThruLite("dark");
        this.pauseALittle();

        theTLCA.westLeftLite("green");
        this.pauseALittle();
        theTLCA.westLeftLite("yellow");
        this.pauseALittle();
        theTLCA.westLeftLite("red");
        this.pauseALittle();
        theTLCA.westLeftLite("dark");
        this.pauseALittle();


    }

    public void pauseALittle() {

        try {
            Thread.sleep(200);
        }
        catch (InterruptedException e) {
            System.out.println("Uh..oh .. LiteTester.pauseALittle");
        }
    }
}

