import java.awt.*;
import java.awt.event.*;
public class ButtonCanvas extends Canvas implements MouseListener {

	/**
	 *  The SCView object that will be called when events occur
	 *  on this object.
	 */
	private SCView scView_;
	public SCView scView() { return scView_; }
	private void scView( SCView aSCView ) { scView_ = aSCView; }

    protected Image theImage;
    protected Image image1;
    protected Image image2;

    ButtonCanvas(SCView scView){
        this.scView(scView);
        this.initialize();
    }
    private void initialize(){
        this.addMouseListener(this);

    }

    public void mousePressed( MouseEvent me ){
        this.theImage = this.image2;
        this.repaint();
    }
    public void mouseReleased( MouseEvent me ){
        this.theImage = this.image1;
        this.repaint();

        this.pressed();
    }
    public void pressed(){
        System.out.println("pressed in ButtonCanvas (should be overridden by subclass)");
    }
    public void paint (Graphics g) {
            g.drawImage(this.theImage, 0,0,this);
    }
    public void update(Graphics g) {  paint(g);  }

    //      MouseListener interface
    public void mouseClicked( MouseEvent me ){}
    public void mouseEntered( MouseEvent me ){}
    public void mouseExited( MouseEvent me ){}
    //public void mousePressed( MouseEvent me ){}
    //public void mouseReleased( MouseEvent me ){}

}

