import java.awt.*;

class DispenseDrinkButton extends SCButton {

	/**
	 */
	private String brand_;
	private String brand() { return brand_; }
	private void brand( String aString ) { brand_ = aString; }

    DispenseDrinkButton( String brand, SCView theSCView){
        this.super( brand , theSCView );
        this.brand(brand);
        this.initialize();
    }
    DispenseDrinkButton( SCView theSCView ){
        this.super( "" , theSCView );
        this.initialize();
    }

    private void initialize(){
        this.setFont( new Font("Helvitica",Font.BOLD,12));

        this.setSize(100,30);
        this.setLocation(5,150);
    }
    public void pressed(){
        System.out.println("pressed with brand = " + this.brand());
        ((VendView) this.scView()).dispenseDrinkButton(this.brand());
    }
    public void setBrand(String aBrandName){
        System.out.println("setBrand in button with aBrandName = " + aBrandName);
        this.brand(aBrandName);
        this.setLabel(aBrandName);
    }
}

