import java.awt.*;
import java.util.*;

class DispensePanel extends SCPanel {

    public DispensePanel(SCView scView){
        super(scView);
        this.initialize();
    }

    private void initialize(){
        this.setLayout(null);
        this.initWidgets();

        this.setSize(100,500);

    }

    private void initWidgets(){

        Label aLabel = new Label("Sold Out");
        aLabel.setLocation(30,30);
        aLabel.setSize(100,25);
        this.add(aLabel);

        this.addWidget("dispense Canvas", new DrinkDispensedCanvas());
        this.addWidget("dispense Button", new DispenseDrinkButton(this.scView()));
        this.addWidget("sold out Canvas", new SoldOutCanvas());
       // this.addWidget("dispenser1",new DispenserPanel("Coke",this.scView()));

    }
    public void setBrand(String aBrandName){
        System.out.println("setBrand in despense panel with aBrandName = " + aBrandName);
        ((DispenseDrinkButton) this.getWidget("dispense Button")).setBrand(aBrandName);
    }

    public void update(Observable obs, Object o){
        System.out.println("update in dispense panel");
    }
}