
import java.util.*;

abstract class EventCommand {


	/**
	 *  The Observer for this application
	 */
	private Observer observer_;
	public Observer observer() { return observer_; }
	public void observer( Observer anObserver ) { observer_ = anObserver; }

	/**
	 *  The Observable associated with this EventCommand
	 */
	private Observable observable_;
	public Observable observable() { return observable_; }
	public void observable( Observable anObservable ) { observable_ = anObservable; }

    abstract void execute();

}