import java.lang.*;
import java.util.*;


abstract class LAState {

    public void changeState(LightAssistant theLA, String nextState) {
        LightStateMachine theSM = theLA.lightStateMachine();
        theSM.changeState(nextState);
    }


    // abstract methods

    abstract void parentOn   (LightAssistant thePA);
    abstract void parentOff  (LightAssistant thePA);
    abstract void childOn    (LightAssistant thePA);
    abstract void childOff   (LightAssistant thePA);
    abstract void release    (LightAssistant thePA);

}
