/*+========================================================================+*/
/*| [FBN ARS     ], Copyright [1999] [FBN Software]  All Rights Reserved.  |*/
/*|------------------------------------------------------------------------|*/
/*| NOTE: This software contains valuable trade secrets and proprietary    |*/
/*| information of [FBN Software] and is protected by law. It may not be   |*/
/*| copied or distributed in any form or medium, disclosed to third        |*/
/*| parties, reverse engineered or used in any manner without prior        |*/
/*| written authorization from [FBN Software].                             |*/
/*|------------------------------------------------------------------------|*/
/*| FILE: Passenger.java                                                   |*/
/*|------------------------------------------------------------------------|*/
/*| MODULE:                                                                |*/
/*|------------------------------------------------------------------------|*/
/*| Who | Date       | Description                                         |*/
/*|------------------------------------------------------------------------|*/
/*|  P+ | Nov 29, 99 | Last Code Generation                                |*/
/*+========================================================================+*/
import java.util.*;

public class Passenger
{

    private  String name_;
    public String name() { return name_; }
    public void name(String aString) { name_ = aString; }

    private  Address address_;
    public Address address() { return address_; }
    public void address(Address anAddress) { address_ = anAddress; }

    private  Vector preferences_;
    public Vector preferences() { return preferences_; }
    public void preferences(Vector aVector) { preferences_ = aVector; }

    private  TravelPlan travelPlan_;
    public TravelPlan travelPlan() { return travelPlan_; }
    public void travelPlan(TravelPlan aTravelPlan) { travelPlan_ = aTravelPlan; }

    Passenger () {
        this.initialize();
    }

    private void initialize() {
        this.name("");
        this.address(new Address());
        this.preferences(new Vector());
        this.travelPlan(new TravelPlan());
    }

    public void addPreference(String aPreference) {
        this.preferences().addElement(aPreference);
    }
}

