
import java.lang.*;
import java.util.*;

class ResultLog {

    private Vector results_;
    public Vector results() { return results_; }
    public void results(Vector theResults) { results_ = theResults; }

    ResultLog() {
        this.initialize();
    }

    private void initialize() {
        this.results(new Vector());
    }

    public void addResult(BitSet aResult) {
        this.results().addElement(aResult);
    }

    public boolean latestHasDuplicates() {

        boolean duplicate = false;
        int matchPosition = 0;

        BitSet lastBitSet = (BitSet) this.results().lastElement();

        Enumeration theResults = this.results().elements();

        while (theResults.hasMoreElements()) {
            BitSet resultA = (BitSet) theResults.nextElement();
            if ((resultA.equals(lastBitSet))&&(resultA!=lastBitSet)){
                duplicate = true;
                System.out.println("Duplicate at " + matchPosition);

            }

            matchPosition++;
        }

        return duplicate;
    }

    public boolean latestHasDuplicatesBackwards() {

        // later we could prune the results vector

        boolean duplicate = false;

        BitSet lastBitSet = (BitSet) this.results().lastElement();

        for (int i=this.results().size()-2; i>=0; i--) {

            BitSet resultA = (BitSet) this.results().elementAt(i);
            if ((resultA.equals(lastBitSet))){
                duplicate = true;
                System.out.println("Cycle of " + (this.results().size() - i - 1));

            }
        }
        if(duplicate) System.out.println(" ");
        return duplicate;
    }

}

