import java.lang.*;
import java.util.*;
import java.text.*;

class ReturnGate extends Observable {

	/*
	*/
	private CoinBucket coinBucket_;
	public CoinBucket coinBucket() { return coinBucket_; }
	public void coinBucket( CoinBucket aCoinBucket ) { coinBucket_ = aCoinBucket; }

	ReturnGate() {
	    this.initialize();
	}

	private void initialize() {
	    this.coinBucket(new CoinBucket());
	}

	public void releaseCoins() {
        double viewableAmount = this.coinBucket().countCoins() / 100.0;
        NumberFormat theNF = NumberFormat.getCurrencyInstance();

        String amountString = theNF.format(viewableAmount);
        this.publicize(amountString);
        this.coinBucket().storeCoins();

	}
	public void publicize(String ammount){
	    this.setChanged();
	    this.notifyObservers(ammount);
	}

}
