
import java.util.*;

public class Server extends Observable {

	/**
	 *  The Communicator associated with this Server
	 */
	private Communicator communicator_;
	private Communicator communicator() { return communicator_; }
	private void communicator( Communicator aCommunicator ) { communicator_ = aCommunicator; }

    public Server() {
        this.initialize();
    }

    private void initialize() {
        this.communicator(new Communicator());
    }

    public void startTheEngine() {
        try {
            String theData =  this.communicator().getData();
            System.out.println(">> " + theData);
        }
        catch (PacketDataException e) {
            System.out.println(e.getMessage());
        }
        catch (DataReceiverIOException e) {
            System.out.println(e.getMessage());
        }
    }

}