import java.lang.*;
import java.util.*;

class SoldOutSensor {

	/*
	*/
	private boolean state_;
	public boolean state() { return state_; }
	public void state( boolean aboolean ) { state_ = aboolean; }

	/*
	*/
	private SoldOutLite soldOutLite_;
	public SoldOutLite soldOutLite() { return soldOutLite_; }
	public void soldOutLite( SoldOutLite aSoldOutLite ) { soldOutLite_ = aSoldOutLite; }

	SoldOutSensor() {
	    this.initialize();
	}

	private void initialize() {
	    this.state(false);  // => off
	    this.soldOutLite(new SoldOutLite());
	}

	public boolean isOn() {
	    return this.state();
	}

	public void updateSoldOutLite() {

	    if (Math.random() < 0.1) {
	        this.state(true);
	    }

	    if (this.state()) {
	        this.soldOutLite().turnOn();
	    }
	    else {
	        this.soldOutLite().turnOff();
	    }
	}
}
