import java.lang.*;
import java.util.*;

class Account extends Observable {

    private String id_;
    public String id() { return id_; }
    public void id(String anAccountID) { id_ = anAccountID; }

    private String customerName_;
    public String customerName() { return customerName_; }
    public void customerName(String aName) { customerName_ = aName; }

    private double balance_;
    public double balance() { return balance_; }
    public void balance(double aNumber) {
        balance_ = aNumber;
        this.publicize();
    }

    private double readyTellerXactns_;
    public double readyTellerXactns() { return readyTellerXactns_; }
    public void readyTellerXactns(double aNumber) { readyTellerXactns_ = aNumber; }

    private double personalXactns_;
    public double personalXactns() { return personalXactns_; }
    public void personalXactns(double aNumber) { personalXactns_ = aNumber; }

    private double mailXactns_;
    public double mailXactns() { return mailXactns_; }
    public void mailXactns(double aNumber) { mailXactns_ = aNumber; }


    Account() {
        this.initialize();
    }

    private void initialize() {
    }

    public void publicize(){
        this.setChanged();
        this.notifyObservers();
    }

}