import java.util.*;

abstract class LightBox extends Observable {

	/**
	 */
	private int yellowTime_;
	public int yellowTime() { return yellowTime_; }
	public void yellowTime( int anInt ) { yellowTime_ = anInt; }

	/**
	 */
	private int minimumFlowTime_;
	public int minimumFlowTime() { return minimumFlowTime_; }
	public void minimumFlowTime( int anInt ) { minimumFlowTime_ = anInt; }

    public boolean goingGreen = false;
	/**
	 */
	private String state_;
	public String state() { return state_; }
	public void state( String aString ) { state_ = aString; }

	/**
	 */
	private int timeIndex_;
	public int timeIndex() { return timeIndex_; }
	public void timeIndex( int anInt ) { timeIndex_ = anInt; }

    LightBox(){
       // this.initialize();
    }
    abstract void initialize();
    abstract boolean isGreen();
    abstract boolean isRed();
    abstract void goRed();
    abstract void goGreen();
    abstract boolean mustKeepFlowing();
    abstract void heartBeat();
    /*
    private void initialize(){
   System.out.println("initialize in LightBox");
       this.timeIndex(0);
        this.yellowTime(6);
        this.minimumFlowTime(20);
        this.state("red");
    }

    public void heartBeat(){
   System.out.println("heartBeat in LightBox");

        this.timeIndex( timeIndex() + 1 );
      //  System.out.println(this + " " + this.timeIndex());
        if( this.state().equals("yellow")){
            if( this.timeIndex() >= this.yellowTime()  ){
                this.state("red");
              //  System.out.println("just switched to red");
                this.publicize("red");
            }
            return;
        }
        if( this.state().equals("green")){
            this.publicize("resetGreenRequest");
            return;
        }
        if( this.state().equals("red")){
            if( (this.timeIndex() == 6) & goingGreen ){
                this.state("green");
                this.publicize("green");
                goingGreen = false;
            }
            return;
        }

    }
    public boolean mustKeepFlowing(){
   System.out.println("mustKeepFlowing in LightBox");
        return
           ( this.timeIndex() < this.minimumFlowTime() )
            &
            this.state().equals("green");

    }
    public boolean isGreen(){
        return this.state().equals("green");
    }
    public boolean isYellow(){
        return this.state().equals("yellow");
    }
    public boolean isRed(){
        return this.state().equals("red");
    }
    public void goRed(){
  System.out.println("goRed in LightBox");
        this.timeIndex(0);
        this.state("yellow");
        this.publicize("yellow");
    }
    public void goGreen(){
  System.out.println("goGreen in LightBox");
        this.timeIndex(0);
        goingGreen = true;
        this.publicize("resetGreenRequest");
       // this.state("green");
       // this.publicize("green");
    }
    public void publicize(String command){
        System.out.println("publicize in LightBox");
        this.setChanged();
        this.notifyObservers(command);
    }
    */
}