import java.util.*;

class PedestrianLightBox extends LightBox {

    PedestrianLightBox(){
        this.initialize();
    }
    public void initialize(){
        System.out.println("initialize in PedestrianLightBox");
        this.timeIndex(0);
        this.yellowTime(6);
        this.minimumFlowTime(20);
        this.state("red");
    }

    public void heartBeat(){

        this.timeIndex( timeIndex() + 1 );
        if( this.state().equals("yellow")){
            if( (1 + this.timeIndex()) % 2 == 0 ){
                this.publicize("dark");
            }
            else{
                this.publicize("dontwalk");
            }
            if( this.timeIndex() >= this.yellowTime()  ){
                this.state("red");
                this.publicize("dontwalk");
            }
            return;
        }
        if( this.state().equals("green")){
            this.publicize("resetGreenRequest");
            return;
        }
        if( this.state().equals("red")){
            if( (this.timeIndex() == 6) & goingGreen ){
                this.state("green");
                this.publicize("walk");
                goingGreen = false;
            }
            return;
        }

    }
    public boolean mustKeepFlowing(){

        return
           ( this.timeIndex() < this.minimumFlowTime() )
            &
            this.state().equals("green");

    }
    public boolean isGreen(){
        return this.state().equals("green");
    }
    public boolean isYellow(){
        return this.state().equals("yellow");
    }
    public boolean isRed(){
        return this.state().equals("red");
    }
    public void goRed(){
//System.out.println("goRed in PedestrianLightBox");
        this.timeIndex(0);
        this.state("yellow");
        this.publicize("dark");
    }
    public void goGreen(){
//System.out.println("goGreen in PedestrianLightBox");
        this.timeIndex(0);
        goingGreen = true;
        this.publicize("resetGreenRequest");
       // this.state("green");
       // this.publicize("green");
    }
    public void publicize(String command){
       // System.out.println("publicize in PedestrianLightBox " + command);
        this.setChanged();
        this.notifyObservers(command);
    }
}