class TLCAdapter {

	/**
	 */
	private TrafficLiteController trafficLiteController_;
	public TrafficLiteController trafficLiteController() { return trafficLiteController_; }
	public void trafficLiteController( TrafficLiteController aTrafficLiteController ) { trafficLiteController_ = aTrafficLiteController; }

	/**
	 */
	private TrafficLiteSimulator trafficLiteSimulator_;
	public TrafficLiteSimulator trafficLiteSimulator() { return trafficLiteSimulator_; }
	public void trafficLiteSimulator( TrafficLiteSimulator aTrafficLiteSimulator ) { trafficLiteSimulator_ = aTrafficLiteSimulator; }

    TLCAdapter(){
        TrafficLiteController aTLC = new TrafficLiteController();
        aTLC.tlcAdapter( this );
        this.trafficLiteController( aTLC );
    }

    public void updateSimulator(String widgetName, String command){
      //  System.out.println("updateSimulator in TLCAdapter " +
      //      widgetName + " " + command);
        this.trafficLiteSimulator().instructLight(widgetName, command);
    }

    public void nThruTrig(){
      //  System.out.println("nThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("NorthThruLane").sensorActivated();
    }
    public void nLeftTrig(){
     //   System.out.println("nThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("NorthLeftLane").sensorActivated();
    }
    public void sThruTrig(){
    //    System.out.println("sThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("SouthThruLane").sensorActivated();
    }
    public void sLeftTrig(){
    //    System.out.println("sThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("SouthLeftLane").sensorActivated();
    }
    public void eThruTrig(){
    //    System.out.println("eThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("EastThruLane").sensorActivated();
    }
    public void eLeftTrig(){
     //   System.out.println("eThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("EastLeftLane").sensorActivated();
    }
    public void wThruTrig(){
     //   System.out.println("wThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("WestThruLane").sensorActivated();
    }
    public void wLeftTrig(){
     //   System.out.println("wThruTrig in TLCAdapter");
        this.trafficLiteController().getLane("WestLeftLane").sensorActivated();
    }


    public void nwPedTrig(){
     //   System.out.println("nwPedTrig in TLCAdapter");
        this.trafficLiteController().getLane("NorthPedLane").sensorActivated();
    }
    public void nePedTrig(){
     //   System.out.println("nePedTrig in TLCAdapter");
        this.trafficLiteController().getLane("NorthPedLane").sensorActivated();
    }
    public void swPedTrig(){
    //    System.out.println("swPedTrig in TLCAdapter");
        this.trafficLiteController().getLane("SouthPedLane").sensorActivated();
    }
    public void sePedTrig(){
    //    System.out.println("sePedTrig in TLCAdapter");
        this.trafficLiteController().getLane("SouthPedLane").sensorActivated();
    }
    public void wnPedTrig(){
    //    System.out.println("wnPedTrig in TLCAdapter");
        this.trafficLiteController().getLane("WestPedLane").sensorActivated();
    }
    public void wsPedTrig(){
     //   System.out.println("wsPedTrig in TLCAdapter");
        this.trafficLiteController().getLane("WestPedLane").sensorActivated();
    }
    public void enPedTrig(){
     //   System.out.println("enPedTrig in TLCAdapter");
        this.trafficLiteController().getLane("EastPedLane").sensorActivated();
    }
    public void esPedTrig(){
     //   System.out.println("esPedTrig in TLCAdapter");
        this.trafficLiteController().getLane("EastPedLane").sensorActivated();
    }

    ////////////////////////////////////////

    public void nPedLite(String s){
        this.updateSimulator("NPedLight1",s);
        this.updateSimulator("NPedLight2",s);
    }
    public void sPedLite(String s){
        this.updateSimulator("SPedLight1",s);
        this.updateSimulator("SPedLight2",s);
    }
    public void ePedLite(String s){
        this.updateSimulator("EPedLight1",s);
        this.updateSimulator("EPedLight2",s);
    }
    public void wPedLite(String s){
        this.updateSimulator("WPedLight1",s);
        this.updateSimulator("WPedLight2",s);
    }

    public void northThruLite(String s){
        this.updateSimulator("NSLight",s);
    }
    public void northLeftLite(String s){
        this.updateSimulator("NLLight",s);
    }
    public void southThruLite(String s){
        this.updateSimulator("SSLight",s);
    }
    public void southLeftLite(String s){
        this.updateSimulator("SLLight",s);
    }
    public void eastThruLite(String s){
        this.updateSimulator("ESLight",s);
    }
    public void eastLeftLite(String s){
        this.updateSimulator("ELLight",s);
    }
    public void westThruLite(String s){
        this.updateSimulator("WSLight",s);
    }
    public void westLeftLite(String s){
        this.updateSimulator("WLLight",s);
    }


}
