
import java.util.*;

public class Bank {

	/**
	 *  The accounts associated with this Bank. The key
	 *  is the account number as a String of userID concatenated
	 *  with PIN
	 */
	private Hashtable accounts_;
	public Hashtable accounts() { return accounts_; }
	public void accounts( Hashtable anHashtable ) { accounts_ = anHashtable; }

    Bank() {
        this.initialize();
    }

    private void initialize() {
        Hashtable theHT = new Hashtable();

        theHT.put("fred1002",     new Account(2024.0));
        theHT.put("bill2324",     new Account(100.0));
        theHT.put("george2431",   new Account(344.0));
        theHT.put("samantha3122", new Account(742.0));

        this.accounts(theHT);
    }

    public Account lookupAccount(String userID, String PIN) {
        return (Account) this.accounts().get(userID + PIN);
    }

    public void handleTransaction(Transaction aTransaction) {
        aTransaction.perform();
    }

}