import java.awt.Label;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Color;

public class ActionLabel extends Label implements Runnable {

    private boolean done;

    ActionLabel(){
        super("Even a Label can have a Thread!");
        this.initialize();
    }

    private void initialize(){

        Font aFont = new Font("Courier",0,18);
        this.setFont(aFont);

        this.setSize(340,30);
        this.setLocation(10,65);

    }
    public void startTheThread(){
        done = false;
        (new Thread(this)).start();
    }
    public void stopTheThread(){
        done = true;
    }
    public void run(){
        String strings[] = { "Even", "A","Label","Can","Have","A","Thread"};
        this.setSize(80,30);
        while(!done){
            for(int i = 0; i < 7; i++){
                this.setText( strings[i] );
                this.setLocation(20 + i * 30,65 );
                try{ Thread.sleep(800); }
                catch(InterruptedException ie){}
            }
        }
        this.setText("Even a Label can have a Thread!");
        this.setSize(340,30);
        this.setLocation(10,65);

    }
}
