import java.util.*;

class BusinessModel extends Observable {

	/**
	 *  A running count that gets modified due to events generated
	 *  by the view, and is publicized to the view.
	 */
	private int count_;
	private int count() { return count_; }
	private void count( int anInt ) { count_ = anInt; }

    public void addFive(){
        this.count( this.count() + 5 );
        this.publicize(String.valueOf(this.count()));
    }

    public void addOne(){
        this.count( this.count() + 1 );
        this.publicize(String.valueOf(this.count()));
    }

    private void publicize(String s){
        this.setChanged();
        this.notifyObservers(s);
    }
}