import java.lang.*;
import java.util.*;

class PersonalTransaction extends Transaction {


    PersonalTransaction() {
        this.initialize();
    }

    PersonalTransaction(Account anAccount, double anAmount, Date aDate) {
        super();
        this.account(anAccount);
        this.amount(anAmount);
        this.timestamp(aDate);
    }

    private void initialize() {
    }

    // adjustBalance for PersonalTransaction checks to see if the
    // account is a VIP account (contains greater than $50,000)
    // and charges a 5% surcharge if not.
    public double adjustBalance(double currentBalance, double anAmount){
        if( currentBalance > 50000.0 ){
            return 0.0;
        }
        else{
            return -(0.05 * anAmount);
        }

    }


}
