// Method compare would need to be added to Transaction for this routine
// to sort Transactions. Method compareTo of class String has the
// appropriate return values. It is included at the bottom of this
// page.

import java.util.*;

class TransactionSorter {
    public Vector sort(Vector a){
        int n = a.size();
        int incr = n/2;
        while (incr >= 1){
            for (int i=incr; i<n; i++){
                Transaction aTrans = (Transaction) a.elementAt(i);
                int j = i;

                while (j >= incr && aTrans.compare(  (Transaction)
                                            a.elementAt(j-incr) )   < 0){

                    a.setElementAt( (Transaction) a.elementAt(j-incr) ,j);
                    j -= incr;
                }
            a.setElementAt(aTrans,j);
            }
        incr /= 2;
        }
        return a;
    }

}


    /**
     * Compares two strings lexicographically.
     * The comparison is based on the Unicode value of each character in
     * the strings.
     *
     * @param   anotherString   the <code>String</code> to be compared.
     * @return  the value <code>0</code> if the argument string is equal to
     *          this string; a value less than <code>0</code> if this string
     *          is lexicographically less than the string argument; and a
     *          value greater than <code>0</code> if this string is
     *          lexicographically greater than the string argument.
     */
/*
    public int compareTo(String anotherString) {
	int len1 = count;
	int len2 = anotherString.count;
	int n = Math.min(len1, len2);
	char v1[] = value;
	char v2[] = anotherString.value;
	int i = offset;
	int j = anotherString.offset;

	while (n-- != 0) {
	    char c1 = v1[i++];
	    char c2 = v2[j++];
	    if (c1 != c2) {
		return c1 - c2;
	    }
	}
	return len1 - len2;
    }
*/