import java.util.*;

class RegularLightBox extends LightBox {
    RegularLightBox(){
        this.initialize();
    }
    public void initialize(){
        System.out.println("initialize in RegularLightBox");
        this.timeIndex(0);
        this.yellowTime(3);
        this.minimumFlowTime(9);
        this.state("red");
    }

    public void heartBeat(){

        this.timeIndex( timeIndex() + 1 );
        if( this.state().equals("yellow")){
            if( this.timeIndex() >= this.yellowTime()  ){
                this.state("red");
                this.publicize("red");
            }
            return;
        }
              //  System.out.println("just switched to red");
        if( this.state().equals("green")){
            this.publicize("resetGreenRequest");
            return;
        }
        if( this.state().equals("red")){
            if( (this.timeIndex() == 6) & goingGreen ){
                this.state("green");
                this.publicize("green");
                goingGreen = false;
            }
            return;
        }

    }
    public boolean mustKeepFlowing(){

        return
           ( this.timeIndex() < this.minimumFlowTime() )
            &
            this.state().equals("green");

    }
    public boolean isGreen(){
        return this.state().equals("green");
    }
    public boolean isYellow(){
        return this.state().equals("yellow");
    }
    public boolean isRed(){
        return this.state().equals("red");
    }
    public void goRed(){
//System.out.println("goRed in RegularLightBox");
        this.timeIndex(0);
        this.state("yellow");
        this.publicize("yellow");
    }
    public void goGreen(){
//System.out.println("goGreen in RegularLightBox");
        this.timeIndex(0);
        goingGreen = true;
        this.publicize("resetGreenRequest");
       // this.state("green");
       // this.publicize("green");
    }
    public void publicize(String command){
       // System.out.println("publicize in RegularLightBox");
        this.setChanged();
        this.notifyObservers(command);
    }
}