import java.util.*;
import java.awt.*;
import java.awt.event.*;

class HorizontalLightCanvas extends Canvas implements LightBoxWidget{

    public Image image1;
    public Image image2;
    public Image image3;
    public Image image4;

    public Image theImage;

    HorizontalLightCanvas(){
        this.initialize();
    }
    private void initialize( ){
        this.image1 = Toolkit.getDefaultToolkit().getImage("liteRh.GIF");
        this.image2 = Toolkit.getDefaultToolkit().getImage("liteYh.GIF");
        this.image3 = Toolkit.getDefaultToolkit().getImage("liteGh.GIF");
        this.image4 = Toolkit.getDefaultToolkit().getImage("liteDh.GIF");
        this.theImage = this.image4;

        this.setSize(56,28);
    }

    public void turnRed() {
        this.theImage = image1;
        this.repaint();
    }
    public void turnYellow() {
        this.theImage = image2;
        this.repaint();
    }
    public void turnGreen() {
        this.theImage = image3;
        this.repaint();
    }
    public void turnOff() {
        this.theImage = image4;
        this.repaint();
    }

    public void setState(String command){

        if (command.equals("red"))
            this.theImage = image1;
        if (command.equals("yellow"))
            this.theImage = image2;
        if (command.equals("green")
               || command.equals("left"))
            this.theImage = image3;
        if (command.equals("dark"))
            this.theImage = image4;

        this.repaint();

    }

    public void paint (Graphics g) {
            g.drawImage(this.theImage, 0,0,this);
    }
    public void update(Graphics g) {  paint(g);  }
    public void update(Observable obs, Object o){

        System.out.println("update in LiteCanvas");

        // decide which image to show

        String aColor = (String) o;
        if (aColor.equals("Red"))
            this.theImage = image1;
        if (aColor.equals("Yellow"))
            this.theImage = image2;
        if (aColor.equals("Green"))
            this.theImage = image3;
        if (aColor.equals("Off"))
            this.theImage = image4;

        this.repaint();

    }


}
