class TLCAdapter {

	/**
	 */
	private TrafficLiteController trafficLiteController_;
	public TrafficLiteController trafficLiteController() { return trafficLiteController_; }
	public void trafficLiteController( TrafficLiteController aTrafficLiteController ) { trafficLiteController_ = aTrafficLiteController; }

	/**
	 */
	private TrafficLiteSimulator trafficLiteSimulator_;
	public TrafficLiteSimulator trafficLiteSimulator() { return trafficLiteSimulator_; }
	public void trafficLiteSimulator( TrafficLiteSimulator aTrafficLiteSimulator ) { trafficLiteSimulator_ = aTrafficLiteSimulator; }

    TLCAdapter(){


        TrafficLiteController aTLC = new TrafficLiteController();
        aTLC.tlcAdapter( this );  // this connects your TrafficLiteController to the TLCAdapter
                                  // so you do not need to

        this.trafficLiteController( aTLC );

    }

    // These are the *button* stubs. Place method calls to your TLC inside

    public void nThruTrig(){
    }
    public void nLeftTrig(){
    }
    public void sThruTrig(){
    }
    public void sLeftTrig(){
    }
    public void eThruTrig(){
    }
    public void eLeftTrig(){
    }
    public void wThruTrig(){
    }
    public void wLeftTrig(){
    }


    public void nwPedTrig(){
    }
    public void nePedTrig(){
    }
    public void swPedTrig(){
    }
    public void sePedTrig(){
    }
    public void wnPedTrig(){
    }
    public void wsPedTrig(){
    }
    public void enPedTrig(){
    }
    public void esPedTrig(){
    }

    ////////////////////////////////////////

    // These are the methods to call from your TLC to update the lights in the View

    public void nPedLite(String s){
        this.trafficLiteSimulator().nPedLite(s) ;
    }
    public void sPedLite(String s){
        this.trafficLiteSimulator().sPedLite(s) ;
    }
    public void ePedLite(String s){
        this.trafficLiteSimulator().ePedLite(s) ;
    }
    public void wPedLite(String s){
        this.trafficLiteSimulator().wPedLite(s) ;
    }
    public void northThruLite(String s){
        this.trafficLiteSimulator().northThruLite(s);
    }
    public void northLeftLite(String s){
        this.trafficLiteSimulator().northLeftLite(s);
    }
    public void southThruLite(String s){
        this.trafficLiteSimulator().southThruLite(s);
    }
    public void southLeftLite(String s){
        this.trafficLiteSimulator().southLeftLite(s);
    }
    public void eastThruLite(String s){
        this.trafficLiteSimulator().eastThruLite(s);
    }
    public void eastLeftLite(String s){
        this.trafficLiteSimulator().eastLeftLite(s);
    }
    public void westThruLite(String s){
        this.trafficLiteSimulator().westThruLite(s);
    }
    public void westLeftLite(String s){
        this.trafficLiteSimulator().westLeftLite(s);
    }


}
