import java.lang.*;
import java.util.*;

class PromotionResolver {

	/**
	 *  Vector of Strings which are the same as those selected
	 *  in the Promotions list in the GUI.
	 */
	private Vector activePromotions_;
	public Vector activePromotions() { return activePromotions_; }
	public void activePromotions( Vector aVector ) { activePromotions_ = aVector; }

    PromotionResolver() {
        this.initialize();
    }

    private void initialize() {
    }

    public double computeBestPrice( Customer aCustomer ) {
        double price = aCustomer.basket().regularCost();
        System.out.println("price before promos = " + price);
        Enumeration enum = this.activePromotions().elements();
        while( enum.hasMoreElements() ){
            double aPrice = ((Promotion) enum.nextElement()).
                                        promoPrice(aCustomer);
            if( aPrice < price ) price = aPrice;
        }

        return price;
    }

    public void setActivePromotions( Vector aVector ){
        this.activePromotions( aVector );
    }

}