import java.lang.*;
import java.util.*;
import java.text.*;

class ChangeDispenser extends Observable {

	/*
	*/
	private ChangeSensor changeSensor_;
	public ChangeSensor changeSensor() { return changeSensor_; }
	public void changeSensor( ChangeSensor aCS ) { changeSensor_ = aCS; }

	/*
	*/
	private Vector coins_;
	public Vector coins() { return coins_; }
	public void coins( Vector aVector ) { coins_ = aVector; }


	ChangeDispenser() {
	    this.initialize();
	}

	private void initialize() {
	    this.changeSensor(new ChangeSensor());
	    this.coins(new Vector());
	}

	public void dispenseChange(int amount){

        if (this.changeSensor().isOn()) {
            this.publicize("-----");
        }
        else {

            double viewableAmount = amount / 100.0;
            NumberFormat theNF = NumberFormat.getCurrencyInstance();
            String amountString = theNF.format(viewableAmount);
            this.publicize(amountString);

            this.changeSensor().updateExactChangeLite();
        }

	}
	public void publicize(String amount){
	    this.setChanged();
	    this.notifyObservers(amount);
	}


}
