
import java.util.*;

public class Communicator {

	/**
	 *  The DataReceiver associated with this Communicator
	 */
	private DataReceiver dataReceiver_;
	public DataReceiver dataReceiver() { return dataReceiver_; }
	public void dataReceiver( DataReceiver aDataReceiver ) { dataReceiver_ = aDataReceiver; }

    public Communicator() {
        this.initialize();
    }

    private void initialize() {
        this.dataReceiver(new DataReceiver());
    }

    public String getData() throws DataReceiverIOException, PacketDataException{
        String theData = this.dataReceiver().getPacket();
        this.verifyData(theData);
        return this.dataReceiver().getPacket();
    }

    public void verifyData(String theData) throws PacketDataException {

        boolean thereIsAProblem = true;

        if (thereIsAProblem) {
        throw new PacketDataException("CRC Error");
        }
    }

}