import java.lang.*;
import java.util.*;

class TapeLibrary {

	/**
	 *  The collection of tapes
	 */
	private Hashtable tapes_;
	public Hashtable tapes() { return tapes_; }
	public void tapes( Hashtable anHT ) { tapes_ = anHT; }

    TapeLibrary() {
        this.initialize();
    }

    private void initialize() {
        this.tapes(new Hashtable());

            Tape aTape = new Tape
                ("Gone With the Wind", 3.25, 3.25, 2, 2, "1101-2035");
            aTape.addCategory(Tape.CATEGORYREGULAR);
            this.tapes().put("1101-2035", aTape);

            aTape = new Tape
                ("Terminator", 3.25, 3.25, 2, 2, "1101-2036");
            aTape.addCategory(Tape.CATEGORYREGULAR);

            this.tapes().put("1101-2036", aTape);

            aTape = new Tape
                ("Girls of OO", 4.00, 4.00, 1, 1, "1101-2037");
            aTape.addCategory(Tape.CATEGORYOVER18);
            aTape.addCategory(Tape.CATEGORYNEWRELEASE);
            this.tapes().put("1101-2037", aTape);

            aTape = new Tape
                ("Bambi", 2.00, 2.00, 3, 3, "1101-2038");
            aTape.addCategory(Tape.CATEGORYCHILDREN);
            aTape.addCategory(Tape.CATEGORYCLASSIC);
            this.tapes().put("1101-2038", aTape);

            aTape = new Tape
                ("Treasure of Sierra Madre", 2.50, 2.00, 3, 3, "1101-2034");
            aTape.addCategory(Tape.CATEGORYREGULAR);
            aTape.addCategory(Tape.CATEGORYCLASSIC);
            this.tapes().put("1101-2034", aTape);

            aTape = new Tape
                ("Action in the North Atlantic", 2.50, 2.00, 3, 3, "1101-2033");
            aTape.addCategory(Tape.CATEGORYREGULAR);
            aTape.addCategory(Tape.CATEGORYCLASSIC);
            this.tapes().put("1101-2033", aTape);

            aTape = new Tape
                ("The Big Sleep", 2.00, 2.50, 3, 3, "1101-2032");
            aTape.addCategory(Tape.CATEGORYREGULAR);
            aTape.addCategory(Tape.CATEGORYCLASSIC);
            this.tapes().put("1101-2032", aTape);

            aTape = new Tape
                ("Knock on Any Door", 2.50, 2.00, 3, 3, "1101-2031");
            aTape.addCategory(Tape.CATEGORYREGULAR);
            aTape.addCategory(Tape.CATEGORYCLASSIC);
            this.tapes().put("1101-2031", aTape);

    }
    public Tape getTape( String tapeID ){
        return (Tape) this.tapes().get(tapeID);
    }

    public Vector getTapesFor(Vector tapeIDs) {
        Vector tapes = new Vector();
        Enumeration enum = tapeIDs.elements();
        while( enum.hasMoreElements() ){
            String aTapeID = (String) enum.nextElement();
            System.out.println("  " + aTapeID);
            tapes.addElement( this.getTape(aTapeID) );
        }
        return tapes;
    }


}
