import java.util.*;
import java.awt.*;
import java.awt.event.*;

class TwoStateCanvas extends Canvas implements Runnable {

    public Image theImage;
    public Image image1;
    public Image image2;

    public void paint (Graphics g) {
            g.drawImage(this.theImage, 0,0,this);
    }
    public void update(Graphics g) {  paint(g);  }

    public void stateTwo(){
        this.theImage = this.image2;
        this.repaint();
    }

    public void stateOne(){
        this.theImage = this.image1;
        this.repaint();
    }

    public void run(){


        this.stateTwo();
        this.delay();
        this.stateOne();

    }

    private void delay(){
        try{ Thread.sleep(400); }
        catch(InterruptedException ie){}
    }


}
