import java.awt.*;
import java.awt.event.*;


public class TypeInMeTextField extends TextField implements ActionListener {

	/**
	 *  The SCView object that will be called when events occur
	 *  on this object.
	 */
	private SCView scView_;
	public SCView scView() { return scView_; }
	private void scView( SCView aSCView ) { scView_ = aSCView; }

    TypeInMeTextField(SCView scView){
        super("Nickel disables Shadow Button");
	    this.scView(scView);
        this.initialize();
    }
    private void initialize(){
        Font aFont = new Font("Courier",0,18);
        this.setFont(aFont);

        this.addActionListener(this);

        this.setSize(400,30);
        this.setLocation(30,280);

    }

    // ActionEvent for TextField happens when enter is pressed
	public void actionPerformed(ActionEvent ae){
        ((MediatorDemoView) this.scView()).enterPressedInTextField();
	}

}
