import java.awt.*;
import java.util.Hashtable;

class View extends Frame {

    private Hashtable widgets_;
    public void widgets(Hashtable aHashtable) { widgets_ = aHashtable; }
    public Hashtable widgets()                { return widgets_;       }

    private Hashtable subViews_;
    public void subViews(Hashtable aHashtable) { subViews_ = aHashtable; }
    public Hashtable subViews()                { return subViews_;       }

    View(String s){
        super(s);
        this.initialize();
    }
    private void initialize(){
        this.setLayout(null);
        this.widgets( new Hashtable() );
        this.subViews( new Hashtable() );
    }

    public void addWidget(String aName, Component c){
        this.add(c);
        this.widgets().put(aName, c);
    }
    public void removeWidget(String aName){
        this.remove(this.getWidget(aName));
      //  this.widgets().put(aName, null);
    }
    public Component getWidget(String aName){
        return (Component) this.widgets().get(aName);
    }

}
