import java.lang.*;
import java.util.*;
import java.awt.*;

public class View extends Frame implements Observer {

    private LightAssistant lightAssistant_;
    public LightAssistant lightAssistant() { return lightAssistant_; }
    public void lightAssistant(LightAssistant anLA) {lightAssistant_ = anLA; }

    public static void main(String args[]){
        View theView = new View();

        LightAssistant theLA = theView.lightAssistant();

        System.out.println("\nNext Command:");
        theLA.parentOnRequest();

        System.out.println("\nNext Command:");
        theLA.parentOffRequest();

        System.out.println("\nNext Command:");
        theLA.childOnRequest();

        System.out.println("\nNext Command:");
        theLA.childOffRequest();

        System.out.println("\nNext Command:");
        theLA.releaseRequest();

        System.out.println("\nNext Command:");
        theLA.childOnRequest();

        System.out.println("\nNext Command:");
        theLA.childOffRequest();



        (new Frame()).show();
    }

    View() {
        this.initialize();
    }

    private void initialize() {
        this.lightAssistant(new LightAssistant());
        this.lightAssistant().addObserver(this);
    }

    public void update(Observable obs, Object o) {
        String theString = (String) o;
        System.out.println(">> " + theString);
    }

}
