import java.util.*;

public class Deposit extends Transaction {

    Deposit() {
        this.initialize();
    }

    Deposit(Account anAccount, double amount) {
        this();
        this.account(anAccount);
        this.amount(amount);
    }

    private void initialize() {
        this.timestamp(new Date());
        this.account(new Account());
        this.amount(0.0);
    }

    public void perform() {
        this.account().balance(this.account().balance() + this.amount());
    }
}
