import java.lang.*;
import java.util.*;

class ReadyTellerTransaction extends Transaction {


    ReadyTellerTransaction() {
        this.initialize();
    }

    ReadyTellerTransaction(Account anAccount, double anAmount, Date aDate) {
        super();
        this.account(anAccount);
        this.amount(anAmount);
        this.timestamp(aDate);
    }

    private void initialize() {
    }

    // adjustBalance for ReadyTellerTransaction charges a
    // dollar and fifty cents to the account by returning
    // a -1.5 adjustment.
    public double adjustBalance(double currentBalance, double anAmount){
        return -1.5;
    }

}
